<?php

/**
 * MyBB 1.6
 * New posts widget
 *
 * BrunoDiaz
 * UTNianos.com.ar 31/1/13e
 */

// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
	die("No puede inicializarse de forma externa");
}

function forumlist_info()
{
	/**
	 * Array of information about the widget.
	 * name: The name of the plugin
	 * description: Description of what the plugin does
	 * website: The website the plugin is maintained at (Optional)
	 * author: The name of the author of the plugin
	 * authorsite: The URL to the website of the author (Optional)
	 * version: The version number of the plugin
	 * guid: Unique ID issued by the MyBB Mods site for version checking
	 * compatibility: A CSV list of MyBB versions supported. Ex, "121,123", "12*". Wildcards supported.
	 */
	global $lang;
	$lang->load("hyperportal",true);
	
	return array(
		"name"			=> $lang->h_info_forumlist_title,
		"description"	=> $lang->h_info_forumlist_description,
		"website"		=> "http://www.utnianos.com.ar",
		"author"		=> "BrunoDiaz",
		"authorsite"	=> "http://www.utnianos.com.ar",
		"version"		=> "1.0",
		"guid" 			=> "",
		"compatibility" => "*",
		"guests" =>1
	);
	
	return return_array();
	
	
}

	
	function forumlist()
	{
		global $theme,$plugins,$cache,$db,$mybb,$templates,$widget_settings,$lang,$fcache,$forumpermissions,$showdepth,$excols,$permissioncache,$bgcolor,$parser;

	require_once MYBB_ROOT."inc/class_parser.php";
	$parser = new postParser;

		
		 require MYBB_ROOT.'/inc/functions_forumlist.php';
		 $fcache=array();
		$forumpermissions=array();
			$excols = "index";
		$permissioncache['-1'] = "1";
		$bgcolor = "trow1";
		$showdepth=2;
		 if($mybb->user['uid'] == 0)
		{
			// Build a forum cache.
			$query = $db->query("
				SELECT *
				FROM ".TABLE_PREFIX."forums
				WHERE active != 0
				ORDER BY pid, disporder
			");
			
			$forumsread = unserialize($mybb->cookies['mybb']['forumread']);
		}
		else
		{
			// Build a forum cache.
			$query = $db->query("
				SELECT f.*, fr.dateline AS lastread
				FROM ".TABLE_PREFIX."forums f
				LEFT JOIN ".TABLE_PREFIX."forumsread fr ON (fr.fid=f.fid AND fr.uid='{$mybb->user['uid']}')
				WHERE f.active != 0
				ORDER BY pid, disporder
			");
		
		}
		while($forum = $db->fetch_array($query))
		{
			if($mybb->user['uid'] == 0)
			{
				if($forumsread[$forum['fid']])
				{
					$forum['lastread'] = $forumsread[$forum['fid']];
				}
			}
			$fcache[$forum['pid']][$forum['disporder']][$forum['fid']] = $forum;
		}
		$forumpermissions = forum_permissions();
		// Get the forum moderators if the setting is enabled.
		if($mybb->settings['modlist'] != "off")
		{	
			$moderatorcache = $cache->read("moderators");
		}
		
	
		// Decide if we're showing first-level subforums on the index page.
		if($mybb->settings['subforumsindex'] != 0)
		{
			$showdepth = 3;
		}
		else
		{
			$showdepth = 2;
		}

		$forum_list = build_forumbits();
		$forums = $forum_list['forum_list'];
 
		return $forums;
	}

?>